summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-arcade/komi')
-rw-r--r--games-arcade/komi/Manifest1
-rw-r--r--games-arcade/komi/files/1.04-DESTDIR.patch36
-rw-r--r--games-arcade/komi/files/komi-1.04-install.patch11
-rw-r--r--games-arcade/komi/komi-1.04.ebuild44
-rw-r--r--games-arcade/komi/metadata.xml8
5 files changed, 100 insertions, 0 deletions
diff --git a/games-arcade/komi/Manifest b/games-arcade/komi/Manifest
new file mode 100644
index 000000000000..7cd15f38d6c3
--- /dev/null
+++ b/games-arcade/komi/Manifest
@@ -0,0 +1 @@
+DIST komi-1.04.tar.gz 954526 SHA256 9a6852b44197e04832861b684390971c5a85c0405edc0a555fe6fdd9a5325721 SHA512 60babb3642bea7598089b342ba582b2f63f6aa051352ad9b2fa5bad0222a32306775a207712d2e7a9242be5e3ff5b4734f5b62708e451e7230499c6812d4c8a3 WHIRLPOOL d22b8ad640f4cc831f5568c4f3825a81ef289ae757c8698bd39635a54565d23fdbe1f4828bacdd7794a66456900233c6561888b7427c749be51ee8428ea2b221
diff --git a/games-arcade/komi/files/1.04-DESTDIR.patch b/games-arcade/komi/files/1.04-DESTDIR.patch
new file mode 100644
index 000000000000..2573b01e5c91
--- /dev/null
+++ b/games-arcade/komi/files/1.04-DESTDIR.patch
@@ -0,0 +1,36 @@
+--- Makefile.orig 2004-12-11 01:36:11.000000000 -0800
++++ Makefile 2004-12-11 01:36:14.000000000 -0800
+@@ -13,9 +13,7 @@
+ MIXER=-lSDL_mixer
+ SDL_LIB=$(shell sdl-config --static-libs) $(MIXER)
+
+-CFLAGS=-Wall -pedantic -std=c99 -O2 \
+- $(shell sdl-config --cflags) \
+- -DDATAPATH=\"$(DATAPATH)\"
++CFLAGS= $(ECFLAGS) $(shell sdl-config --cflags) -DDATAPATH=\"$(DATAPATH)\"
+
+ all: komi
+
+@@ -24,15 +22,13 @@
+ -rm *.o
+
+ install:
+- install -d $(DATAPATH)
+- cp -R komidata/* $(DATAPATH)
+- chmod -R 644 $(DATAPATH)
+- chmod 755 $(DATAPATH)
+- install -d $(BINPATH)
+- cp komi $(BINPATH)
+- chmod 755 $(BINPATH)komi
+- install -d $(MANPATH)
+- cp komi.6 $(MANPATH)komi.6
++ install -d $(DESTDIR)$(DATAPATH)
++ cp -R komidata/* $(DESTDIR)$(DATAPATH)
++ chmod -R 644 $(DESTDIR)$(DATAPATH)
++ chmod 755 $(DESTDIR)$(DATAPATH)
++ install -d $(DESTDIR)$(BINPATH)
++ cp komi $(DESTDIR)$(BINPATH)
++ chmod 755 $(DESTDIR)$(BINPATH)/komi
+
+ komi: komi.o
+ $(CC) $(CFLAGS) komi.o -o komi $(SDL_LIB)
diff --git a/games-arcade/komi/files/komi-1.04-install.patch b/games-arcade/komi/files/komi-1.04-install.patch
new file mode 100644
index 000000000000..d00a48d296fb
--- /dev/null
+++ b/games-arcade/komi/files/komi-1.04-install.patch
@@ -0,0 +1,11 @@
+--- Makefile.old 2015-01-05 11:35:24.794160467 +0100
++++ Makefile 2015-01-05 11:36:23.181058180 +0100
+@@ -24,8 +24,6 @@
+ install:
+ install -d $(DESTDIR)$(DATAPATH)
+ cp -R komidata/* $(DESTDIR)$(DATAPATH)
+- chmod -R 644 $(DESTDIR)$(DATAPATH)
+- chmod 755 $(DESTDIR)$(DATAPATH)
+ install -d $(DESTDIR)$(BINPATH)
+ cp komi $(DESTDIR)$(BINPATH)
+ chmod 755 $(DESTDIR)$(BINPATH)/komi
diff --git a/games-arcade/komi/komi-1.04.ebuild b/games-arcade/komi/komi-1.04.ebuild
new file mode 100644
index 000000000000..5023563ebfcb
--- /dev/null
+++ b/games-arcade/komi/komi-1.04.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils games
+
+DESCRIPTION="Komi the Space Frog - simple SDL game of collection"
+HOMEPAGE="http://komi.sourceforge.net"
+SRC_URI="mirror://sourceforge/komi/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+IUSE=""
+
+DEPEND="media-libs/libsdl[video]
+ media-libs/sdl-mixer"
+RDEPEND="${DEPEND}"
+DOCS=( CHANGELOG.txt README.txt TROUBLESHOOTING.txt )
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PV}-DESTDIR.patch \
+ "${FILESDIR}"/${P}-install.patch
+ sed -i \
+ -e "/^BINPATH/s:=.*:=${GAMES_BINDIR}/:" \
+ -e "/^DATAPATH/s:=.*:=${GAMES_DATADIR}/${PN}/:" \
+ -e '/^SDL_LIB/s:$: $(LDFLAGS):' \
+ -e '/^SDL_LIB/s:--static-:--:' \
+ Makefile \
+ || die "sed failed"
+}
+
+src_compile() {
+ emake ECFLAGS="${CFLAGS}"
+}
+
+src_install() {
+ default
+ newicon komidata/sprites_komi.bmp ${PN}.bmp
+ make_desktop_entry komi Komi /usr/share/pixmaps/${PN}.bmp
+ doman komi.6
+ prepgamesdirs
+}
diff --git a/games-arcade/komi/metadata.xml b/games-arcade/komi/metadata.xml
new file mode 100644
index 000000000000..4156d2ec7dbf
--- /dev/null
+++ b/games-arcade/komi/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <upstream>
+ <remote-id type="sourceforge">komi</remote-id>
+ </upstream>
+</pkgmetadata>